# vmware_host_vmhba_info – Gathers info about vmhbas available on the given ESXi host

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to gather information about vmhbas available on the given ESXi host.
- If `cluster_name` is provided, then vmhba information about all hosts from given cluster will be returned.
- If `esxi_hostname` is provided, then vmhba information about given host system will be returned.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster_name string |  | Name of the cluster from which all host systems will be used. Vmhba information about each ESXi server will be returned for the given cluster. This parameter is required if `esxi_hostname` is not specified.
esxi_hostname string |  | Name of the host system to work with. Vmhba information about this ESXi server will be returned. This parameter is required if `cluster_name` is not specified.
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user

validate_certs
boolean

Choices:
- no
- yes ←

Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted.
If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.
Environment variable support added in Ansible 2.6.
If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.5

## Examples

    - name: Gather info about vmhbas of all ESXi Host in the given Cluster
      vmware_host_vmhba_info:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        cluster_name: '{{ cluster_name }}'
      delegate_to: localhost
      register: cluster_host_vmhbas

    - name: Gather info about vmhbas of an ESXi Host
      vmware_host_vmhba_info:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        esxi_hostname: '{{ esxi_hostname }}'
      delegate_to: localhost
      register: host_vmhbas

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

hosts_vmhbas_info
dictionary

hosts_vmhbas_info

dict with hostname as key and dict with vmhbas information as value.
Sample:
{'10.76.33.204': {'vmhba_details': [{'adapter': 'HPE Smart Array P440ar', 'bus': 3, 'device': 'vmhba0', 'driver': 'nhpsa', 'location': '0000:03:00.0', 'model': 'Smart Array P440ar', 'node_wwn': '50:01:43:80:37:18:9e:a0', 'status': 'unknown', 'type': 'SAS'}, {'adapter': 'QLogic Corp ISP2532-based 8Gb Fibre Channel to PCI Express HBA', 'bus': 5, 'device': 'vmhba1', 'driver': 'qlnativefc', 'location': '0000:05:00.0', 'model': 'ISP2532-based 8Gb Fibre Channel to PCI Express HBA', 'node_wwn': '57:64:96:32:15:90:23:95:82', 'port_type': 'unknown', 'port_wwn': '57:64:96:32:15:90:23:95:82', 'speed': 8, 'status': 'online', 'type': 'Fibre Channel'}, {'adapter': 'QLogic Corp ISP2532-based 8Gb Fibre Channel to PCI Express HBA', 'bus': 8, 'device': 'vmhba2', 'driver': 'qlnativefc', 'location': '0000:08:00.0', 'model': 'ISP2532-based 8Gb Fibre Channel to PCI Express HBA', 'node_wwn': '57:64:96:32:15:90:23:95:21', 'port_type': 'unknown', 'port_wwn': '57:64:96:32:15:90:23:95:21', 'speed': 8, 'status': 'online', 'type': 'Fibre Channel'}]}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Christian Kotte (@ckotte)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.